Package it.ernytech.tdlib

## Class TdApi.InputMessageText

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageText

Enclosing class:
  TdApi

    public static class TdApi.InputMessageText
    extends TdApi.InputMessageContent

A text message.

### Field Summary

Fields
`boolean` `clearDraft` True, if a chat message draft should be deleted.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `disableWebPagePreview` True, if rich web page previews for URLs in the message text should be disabled.
`TdApi.FormattedText` `text` Formatted text to be sent.

### Constructor Summary

Constructors
`InputMessageText()` Default constructor.
`InputMessageText​(TdApi.FormattedText text, boolean disableWebPagePreview, boolean clearDraft)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### text

    public TdApi.FormattedText text

Formatted text to be sent. Only Bold, Italic, Code, Pre, PreCode and TextUrl entities are allowed to be specified manually.

#### disableWebPagePreview

    public boolean disableWebPagePreview

True, if rich web page previews for URLs in the message text should be disabled.

#### clearDraft

    public boolean clearDraft

True, if a chat message draft should be deleted.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageText

    public InputMessageText()

Default constructor.

#### InputMessageText

    public InputMessageText​(TdApi.FormattedText text,
                            boolean disableWebPagePreview,
                            boolean clearDraft)

Constructor for initialization of all fields.

Parameters:
  `text` - Formatted text to be sent. Only Bold, Italic, Code, Pre, PreCode and TextUrl entities are allowed to be specified manually.
  `disableWebPagePreview` - True, if rich web page previews for URLs in the message text should be disabled.
  `clearDraft` - True, if a chat message draft should be deleted.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR